Skip to main content
Resource Center/CloudFormation Operations

PreviewResourceStack

PreviewResourceStack

POST/zstack/v1/cloudformation/stack/preview

Operation ID

PreviewResourceStack

Since

2.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • type
      String

      Optional.

    • templateContent
      String

      Optional. The template content.

    • uuid
      String

      Optional. The template UUID.

    • parameters
      String

      Optional. The parameters in the stack. The parameters are JSON strings.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • preview
    PreviewResourceStructRequired

    See preview.

    • conditions
      MapRequired

      The action results of the conditions.

    • actions
      ListRequired

      See actions.

      • resourceName
        StringRequired

        The resource type.

      • actionName
        StringRequired

        The action name.

      • round
        intRequired

        The round (), counting from '0'.

      • inDegree
        SetRequired

        The dependency action list.

      • actions
        ObjectRequired

        The action parameters.